# 获取具体分类NFT列表

**1. 接口调用：**

`https://{host}/gt/swap/path/v1/getLists`

**2. 请求参数实例**

| 参数          | 是否必须 | 说明                                                                                 |
| ----------- | ---- | ---------------------------------------------------------------------------------- |
| buyNow      | 是    | 是否可以购买(默认：1)                                                                       |
| page        | 是    | 页数(默认：1)                                                                           |
| pageSize    | 是    | 条数(默认 : 50)                                                                        |
| chain       | 是    | <p>分类为</p><p>主题：""                                   平台：BSC,ETH,POLYGON三种或其中一种</p> |
| keywords    | 是    | 搜索关键字                                                                              |
| priceOrder  | 是    | 价格排序(默认：asc)                                                                       |
| type        | 是    | 类型:平台/主题(collection/platfrom)                                                      |
| keyId       | 是    | 具体NFT分类ID                                                                          |
| equipmentNo | 否    | 设备编号                                                                               |
| sessionUuid | 否    | 用户唯一的登录标识sessionId                                                                 |
| sourceFlag  | 否    | 订单来源用于标识是哪个平台创建的订单，请联系我们设置                                                         |
| sourceType  | 否    | 请求来源设备(IOS,Android,h5)                                                             |
| userNo      | 否    | 用户名                                                                                |

#### 3.请求参数示例

```
{
	"buyNow": "1",
	"chain": "BSC",
	"equipmentNo": "",
	"keyId": "",
	"keywords": "",
	"page": 0,
	"pageSize": 0,
	"priceOrder": "asc",
	"sessionUuid": "",
	"sourceFlag": "",
	"sourceType": "",
	"type": "collection",
	"userNo": ""
}
```

#### 4.返回结果示例

```
{
	"data": {
		"collections": [
			{
				"collectionId": "",
				"imageUrl": "",
				"name": ""
			}
		],
		"lists": [
			{
				"contractAddress": "",
				"currentPrice": "",
				"id": "",
				"imageUrl": "",
				"isSupportAny": 0,
				"itemNum": "",
				"mainnet": "",
				"name": "",
				"ownerAddress": "",
				"paymentContract": "",
				"paymentDecimals": "",
				"paymentTokenName": "",
				"paymentUrl": "",
				"platformId": "",
				"platformUrl": "",
				"tokenId": "",
				"type": ""
			}
		],
		"total": 0
	},
	"resCode": "800",
	"resMsg": "success"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-swft.swft.pro/nft-api/huo-qu-ju-ti-fen-lei-nft-lie-biao.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
